// Design: multiplicador
// Description: Interconexión de la unidad de datos y de control
// Author: Paulino Ruiz de Clavijo Vázquez <paulino@dte.us.es>
// Copyright Universidad de Sevilla, Spain
// Rev: 1, mar 2011

//`include "u_control.v"
//`include "u_datos.v"

module multiplicador(
 input  [3:0] a,      // Entrada del dato A
 input  [3:0] b,      // Entrada del dato B
 input  clk,          // Reloj del sistema
 input  xs,           // Señal de comienzo
 input  reset,        // Reset del sistema
 output fin,          // Señal de fin de operacion
 output [7:0] databus // Bus de datos de resultado (parcial y final)

 );

// Conexiones internas para interconectar los dos módulos
wire wa,wd,upcont,wsuml,wsumh,cycont,clsincr,shrsum;


// Instancia de la unidad de datos, debe completar las conexiones
u_datos  U_DATOS(
 .data(a)
 
        // Complete aquí todas las conexiones que faltan
        // Para ello puede abrir el fichero incluido: "u_datos.v"
        // y mirar la definición del módulo "u_datos" que sirve 
        // como ejemplo de interconexión de módulos.
  );

/* Aqui debe instanciar la unidad de control del mismo
   modo que se ha instanciado la unidad de datos.
   Debe interconectar todas las conexiones 
   con la unidad de datos y las entradas y salidas. */



endmodule
